Name:           lximage-qt
Version:        0.4.0
Release:        2%{?dist}
Summary:        The image viewer and screenshot tool for LXQt

License:        GPLv2+
URL:            https://github.com/lxde/%{name}
Source0:        %{url}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  cmake

BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5X11Extras)

BuildRequires:  qt5-linguist

BuildRequires:  pkgconfig(libfm-qt5)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(xfixes)

BuildRequires:  desktop-file-utils
Requires:       hicolor-icons-theme

%description
The Qt port of LXImage, a simple and fast image viewer.


%prep
%setup -q
rm src/translations/%{name}_template.ts

%build
%cmake
%make_build

%install
%make_install
%find_lang %{name} --with-qt

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}*.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
/usr/bin/update-desktop-database &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%license COPYING
%doc AUTHORS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
# find_lang does not care about folders, own them explicitly
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations


%changelog
* Sat Jan 09 2016 Raphael Groner <projects.rg@smart.ms> - 0.4.0-2
- own translations folder and README file

* Sat Dec 19 2015 Raphael Groner <projects.rg@smart.ms> - 0.4.0-1
- initial
